{% extends 'base.html.twig' %}

{% block title %}{{ trick.name }}{% endblock %}
    {% block body %}
        <div class="container">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">{{ trick.name }}</li>
            </ol>

            <div class="headPicture-wrapper">
                <img class="img-fluid" src="/assets/img/jumbo-img.jpg" alt="">
            </div>
            <hr>

            <div class="trick-info container">
                <div class="row ">
                    <div class="col-md-6">
                    <p class="travel"><span class="text-success fw-bolder">Ajouté le :</span> {{ trick.createdAt | format_datetime('short', 'short', locale='fr') }}</p>
                    </div>
                    <div class="col-md-6">
                    <p class="travel "><span class="text-success fw-bolder">catégorie :</span> <span class="badge bg-info">{{ trick.category.name }}</span></p>
                    </div>
                </div>            
            </div>
            <hr>

            <div class="trick-title container d-flex align-items-center ">
            <i class="fas fa-snowboarding text-white fs-3 me-2 p-2 rounded-circle bg-success"></i>
            <div class="pl-3 fs-3">
                {{ trick.name }}
            </div>
            
            </div>
            <hr>

            <section class="mediaContainer container-fluid">
                <div class="text-center d-block   d-sm-block d-md-none">
                                <a href="#" id="loadMedia" class="d-md-block d-lg-none">
                                    <button class="btn btn-outline-secondary">Afficher les médias</button>
                                </a>
                                <a href="#" id="hideMedia" class="d-none d-md-none d-lg-none">
                                    <button class="btn btn-secondary mt-3">Masquer les médias</button>
                                </a>
                </div>
                <div class="media-wrapper d-sm-none d-md-block d-none d-sm-block" id="mediaBlock">
                    <div class="row">
                        <div class="col-md-6 mt-4">
                            <div id="carouselExampleControls" class="carousel slide" data-bs-ride="carousel">
                                <div class="carousel-inner">
                                    <div class="carousel-item active">
                                        <img src="/assets/img/jumbo-img.jpg" class="d-block w-100" alt="...">
                                    </div>
                                    <div class="carousel-item">
                                        <img src="/assets/img/slide-trick.jpg" class="d-block w-100" alt="...">
                                    </div>
                                    <div class="carousel-item">
                                        <img src="/assets/img/jumbo-img.jpg" class="d-block w-100" alt="...">
                                    </div>
                                </div>
                                <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Previous</span>
                                </button>
                                <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls" data-bs-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Next</span>
                                </button>
                            </div>                       
                        </div>

                        <div class="col-md-6 mt-4"> 
                            
                            <div id="carouselExampleControls2" class="carousel slide" data-bs-ride="carousel">
                                <div class="carousel-inner">
                                    <div class="carousel-item active ratio ratio-16x9">
                                        <iframe class="" src="https://www.youtube.com/embed/AMsWP9WJS_0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
                                    </div>
                                    
                                </div>
                                <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleControls2" data-bs-slide="prev">
                                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Previous</span>
                                </button>
                                <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleControls2" data-bs-slide="next">
                                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                    <span class="visually-hidden">Next</span>
                                </button>
                            </div>                       
                        </div>

                        
                    </div>                    
                </div>
            </section>
            <hr>
            <div class="trick-description">
                <h3>Description:</h3>
                <p class="text-justify">Lorem ipsum dolor sit amet consectetur, adipisicing elit. Vero perspiciatis inventore odio quae culpa! Earum necessitatibus minima vero, pariatur, fugit magnam aliquid sunt at corporis voluptates, labore repellat officiis aperiam commodi iure eligendi hic alias suscipit illum. Ea, numquam iste similique minima eligendi, sequi ex illo excepturi molestias sapiente quis nihil dignissimos officia!</p>
            </div>


        </div>
        <div class="col-md-12 marginTop">
            <div class="comments text-center p-3">
                <p><a href="/register">Inscrivez-vous</a> ou <a href="/login">connectez vous</a> pour commenter cet article</p>
            </div>
        </div>
    {% endblock %}

    {% block javascripts %}
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
        <script src="/assets/js/showMedia.js"></script>
    {% endblock %}

